Subject: Re: bug#20253: 24.4; Document `region' face behavior changes, overlay, priority

From: Eli Zaretskii <[email-masked]>
Date: Mon, 12 Sep 2016 21:37:01 +0300

> Date: Mon, 12 Sep 2016 10:19:42 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> I disagree that THIS is an "internal" and "obscure" feature, and
> that "it is not supposed to be used by Lisp programs that are not
> part of Emacs".  It cannot be, if users want to control the behavior
> of the `region' overlay and similar.

Of course, you disagree: you filed the bug, didn't you?

> Questions about this arise from end users.

I didn't see any.  Please invite those users to ask the questions here
or on emacs-devel.  Maybe I will change my mind after hearing them.

> And the question of this bug report is not only about documenting
> (nil . NUMBER).  It is about documenting the user-visible _behavior_
> change for region highlighting, and how to accommodate and control it.

I said nothing about that part.